package ihwsync

import "time"

func TimerReset(timer *time.Timer, duration time.Duration) *time.Timer {
	if timer == nil {
		return time.NewTimer(duration)
	}

	timer.Stop()
	return time.NewTimer(duration)
}
